[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'RttiUtils' (#fcl)

# TWriteStrEvent

Write a string to storage

## Declaration

Source position: rttiutils.pp line 63

`type TWriteStrEvent = procedure(`
`const ASection: string;`
`const Item: string;`
`const Value: string`
`) of object;`

## Arguments

`ASection` |  | Section to write in
`Item` |  | Key name for value
`Value` |  | String value to write

## Description

TWriteStrEvent is used by TPropsStorage to write strings to a storage mechanism, in a .ini file like fashion: The call should write the string Value in ASection with key Item. The section and key should be created if they didn't exist yet.

## See also

TPropsStorage |  | Property storage mechanism
TReadStrEvent |  | Callback to read strings from storage
TEraseSectEvent |  | Clear a storage section